@media (max-width: 1600px) {
    .headerSection .nav-link {
        font-size: 16px;
    }

    .productBody .newlyCard img {
        min-height: 22.875rem;
        max-height: 22.875rem;
    }

    .productBigImage img {
        height: 36rem;
        max-height: 36rem;
    }

    .checkoutPop {
        top: 104px;
    }
}

@media (max-width: 1400px) {
    .navbar-brand img {
        height: 4.8125rem;
    }

    .bannerSlider {
        padding-left: 1.1875rem;
    }

    .swiper-pagination-horizontal {
        padding-left: 1.9375rem;
    }

    .headerSection .nav-link {
        font-size: 15px;
    }

    .productBody .newlyCard img {
        min-height: 21.875rem;
        max-height: 21.875rem;
    }

    .productBigImage img {
        height: 35.2rem;
        max-height: 32.2rem;
    }

    .productPageRight .heading40,
    .price-amount {
        font-size: 2rem;
    }

    .product-meta {
        margin-block: 1.375rem;
    }

    .meta-pill {
        font-size: 14px;
    }

    .cart-controls .redButton {
        font-size: 14px;
        padding: 12px 20px;
    }

    .cart-controls .qty-pill {
        padding: 9px 14px;
    }

    .searchBarContainer {
        top: 6.375rem;
    }

    .swiper-pagination-horizontal {
        padding-left: 6.125rem;
    }

    .headerSection {
        height: 5rem;
    }

    .headerSpace {
        height: 6.4375rem;
    }

    .deliveryPage {
        height: 100%;
    }
}

@media (max-width: 1300px) {
    .customContainer {
        padding-inline: 0.8125rem;
    }

    .bannerImg {
        height: 100%;
        max-height: 400px;
        width: 100%;
        max-width: 400px;
        margin: 0 auto;
    }

    .heading52 {
        font-size: 2.50rem;
    }

    .bannerSliderInner .subHeading {
        font-size: 1rem;
        font-family: 'sat500';
    }

    .slide-box {
        font-size: 1rem;
    }

    .heading44 {
        font-size: 1.9rem;
    }

    .newlyCardButton .redButton,
    .newlyCardButton .outlineBtn {
        padding-block: 11px;
    }

    .outlineBtn,
    .redButton {
        padding: 11px 20px
    }

    .mood-box img {
        width: 100%;
        max-width: 6.875rem;
        height: 110px;
        max-height: 6.875rem;
    }

    .moodWine {
        font-size: 1rem;
    }

    .footerHeading {
        font-size: 1.25rem;
    }

    .service,
    .variety,
    .newlyLaunch {
        margin-block: 3.875rem;
    }

    .productBody .newlyCard img {
        min-height: 20.875rem;
        max-height: 20.875rem;
    }

    .cartButton .redButton {
        padding: 11px 20px;
    }

    .checkoutOtpBtns .redButton {
        padding-block: 11px;
    }

    .cart-card-Right .redButton {
        padding: 11px 20px;
    }

    .profileTab .tabBox {
        padding-left: 16px;
    }

    .personalInfoTab,
    .changePassTab {
        padding-left: 0.625rem;
    }

    .bannerSliderInner {
        height: calc(100vh - 140px);
    }
}

@media (max-width: 1199px) {
    .bannerSliderInner {
        padding-left: 0.1875rem;
        height: calc(100vh - 150px);
    }

    .bannerImg {
        margin-top: 25px;
    }

    .orderCard .redButton {
        padding-block: 11px;
    }

    .bannerImg {
        max-height: 300px;
        max-width: 300px;
    }

    .swiper-pagination-horizontal {
        padding-left: .75rem;
    }

    .navbar-toggler {
        width: 24px;
        height: 20px;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        border: none;
        background: transparent;
        padding: 0;
        cursor: pointer;
        z-index: 1100;
        outline: none !important;
        box-shadow: none !important;
    }

    .mobile-nav {
        position: fixed;
        top: 96px;
        right: -100%;
        width: 100%;
        height: 100vh;
        background: #fff;
        transition: right 0.4s ease-in-out;
        padding: 100px 20px;
        z-index: 1000;
    }

    .mobile-nav.show {
        right: 0;
    }

    .bar {
        height: 3px;
        width: 100%;
        background: #000;
        /* apne theme ke hisab se color */
        border-radius: 3px;
        transition: all 0.3s ease-in-out;
        transform-origin: center;
    }

    .navbar-toggler.open .bar:nth-child(1) {
        transform: rotate(45deg) translate(5px, 6px);
    }

    .navbar-toggler.open .bar:nth-child(2) {
        opacity: 0;
    }

    .navbar-toggler.open .bar:nth-child(3) {
        transform: rotate(-45deg) translate(5px, -8px);
    }

    /* Mobile nav hidden initially */

    .submenu-drawer {
        background: #fff;
        bottom: 0;
        left: 0;
        overflow: auto;
        padding: 38px 21px 40px;
        position: fixed;
        right: 0;
        top: 123px;
        width: 100vw;
        z-index: 1100;
        border-radius: 0;
        max-width: 100%;
        transform: translateX(100%);
        /* hidden (off-screen to right) */
        transition: transform 0.5s ease-in-out;
    }

    .submenu-drawer.show {
        transform: translateX(0);
        /* slide into view */
    }

    .cross {
        display: none;
    }

    .backArrow {
        display: inline-block;
    }

    .storeSelector {
        max-width: fit-content;
        width: 100%;
        margin: 0 auto;
    }

    .storeDropdown {
        min-width: 189px;
        right: 0;
        z-index: 999;
        top: 31px;
        left: 0;
    }

    .shop-all-link-wrapper {
        display: block !important;
    }
}

@media (max-width: 1024px) {
    .footer {
        padding: 38px 1.75rem;
    }

    .newlyCardImage img {
        min-height: 26rem;
        max-height: 26rem;
    }

    .bannerSliderInner {
        height: auto;
    }

    .bannerSlider {
        padding-block: 48px;
    }

    ::-webkit-scrollbar {
        width: 0px;
    }

    .productBody .newlyCard img {
        min-height: 18.875rem;
        max-height: 18.875rem;
    }

    .filter {
        width: 100%;
        max-width: 13.5rem;
        padding-right: 1.5rem;
    }

    .productOuter {
        gap: 25px;
    }

    .productBody {
        padding-right: 0;
    }

    .productPageRight .heading40,
    .price-amount {
        font-size: 1.7rem;
    }

    .checkoutPop {
        right: 12px;
        top: 101px;
    }

    .swiper-pagination {
        bottom: 0px !important;
    }

    .blogDetails .fs48 {
        font-size: 2.125rem;
    }

    .blogDetails .fs24 {
        font-size: 1.25rem;
    }

    .blogDetails .fs18 {
        font-size: 1rem;
    }

    .ourBlogBanner .fs48 {
        font-size: 2.5rem;
    }

}

@media (max-width: 991.90px) {
    .serviceData {
        padding-left: 0;
    }

    .serviceData .heading44 {
        font-size: 1.4rem;
    }

    .heading44 {
        font-size: 1.5rem;
    }

    .quantity-box {
        padding: 10px 15px;
    }

    /* .homeNewlyCard {
        padding: 10px;
    } */

    .redBtnLegacy {
        padding: 10px 15px;
    }

    .outlineBtnLegacy {
        padding: 10px 20px;
    }

    .service {
        padding: 0.8rem 0;
    }

    .productHeadLeft .heading32 {
        font-size: 1.7rem;
    }

    .productBody .newlyCard .wineName {
        font-size: 14px;
    }

    .productBody .newlyCard .newlyCardDetails {
        font-size: 14px;
    }

    .cart-controls {
        margin-bottom: 1.375rem;
        flex-wrap: wrap;
    }

    .productPageRight .cart-controls .redButton {
        width: 100%;
    }

    .productPageRight .qty-pill {
        max-width: 100%;
    }

    .info-card hr {
        margin-block: 8px;
    }

    .info-title {
        font-size: 15px;
    }

    .info-text {
        font-size: 13px;
    }

    .productBigImage img {
        height: 29.2rem;
        max-height: 29.2rem;
    }

    .shopping br {
        display: none;
    }

    .shopping .fs20 {
        font-size: 1rem;
    }

    .shopping {
        padding-block: 65px;
        margin-bottom: 0;
    }

    .shopping .heading44 {
        font-size: 1.3rem;
    }

    .faq-section {
        padding: 40px;
    }

    .faq-content-col {
        margin-top: 40px;
    }

    .faq-title {
        font-size: 2.5rem;
    }

    .ourBlogBanner .fs48 {
        font-size: 2.25rem;
    }

    .newlyFixImg {
        min-height: 580px;
    }

    .headerSpace {
        height: 4.5625rem;
    }

    .shop-all-link-wrapper {
        border-top: none !important;
    }

}

@media (max-width: 767.90px) {
    .slide-box {
        justify-content: space-evenly;
    }

    .variety {
        height: 21rem;
    }

    .filter {
        display: none;
        /* pehle hidden */
        position: fixed;
        top: 0;
        left: 0;
        height: 100%;
        width: 70%;
        /* requested width */
        background: #fff;
        /* ya apka theme */
        z-index: 9999;
        padding: 20px;
        box-shadow: 2px 0 10px rgba(0, 0, 0, 0.2);
        overflow-y: auto;
        transition: transform 0.3s ease-in-out;
        transform: translateX(-100%);
    }

    .filter.openFilter {
        display: block;
        transform: translateX(0);
        /* slide-in */
        max-width: 100%;
    }

    .product {
        padding-top: 16px;
    }

    .productHeadLeft .heading32 {
        font-size: 1.5rem;
    }

    .filterCross {
        display: inline-block;
    }

    .filterBtn {
        display: flex;
    }

    .filterHead {
        margin-top: 25px;
        margin-bottom: 1.4375rem;
    }

    .productHeadLeft {
        display: flex;
        align-items: center;
        justify-content: space-between;
        width: 100%;
    }

    .productBody .newlyCard img {
        min-height: 16.875rem;
        max-height: 16.875rem;
    }

    .productHead .search-bar {
        display: none;
    }

    .productHeadRight {
        max-width: 100%;
    }

    .product .custom-select-wrapper {
        max-width: 100%;
    }

    .productHeadRight .custom-select {
        padding: 12px 33px 12px 16px;
    }

    .productHeadRight .select-icon {
        right: 12px;
    }

    .productBigImage img {
        height: 19.2rem;
        max-height: 19.2rem;
    }

    .productBigImage {
        margin-bottom: 20px;
    }

    .checkoutHead {
        margin-bottom: 13px;
    }

    .checkoutHead span {
        font-size: 1rem;
    }

    .checkoutHead svg {
        width: 20px;
    }

    .heading52 {
        font-size: 2rem;
    }

    .bannerData .redButton {
        padding-block: 12px;
    }

    .allRights {
        justify-content: center;
    }

    .filter .search-bar {
        display: block;
        width: 100%;
        max-width: 100%;
        margin-bottom: 10px;
    }

    .bannerData {
        max-width: 100%;
    }

}

@media (max-width: 575.90px) {
    .passwordTooltip {
        right: auto;
        left: 0;
        top: 100%;
        width: 100%;
        max-width: none;
        font-size: 12px;
        padding: 8px;
    }

    .productHeadRight .custom-select-wrapper {
        max-width: 100%;
    }

    .checkoutPop {
        right: 0px;
    }

    .otpContainer .otpInput {
        width: 42px !important;
        height: 42px;
    }

    .cart-card-outer .redButton,
    .cart-card-outer .outlineBtn {
        padding-block: 10px;
        font-size: 13px;
    }

    .productDetails .formInput {
        padding: 10px 16px;
        font-size: .875rem;
    }

    /* .cart-cart-inner {
        gap: 0px;
        flex-wrap: wrap;
    } */
    .cart-card-count {
        display: none;
    }

    .cart-card-count-mobile {
        background: var(--black);
        width: 42px;
        height: 33px;
        border-radius: 50px;
        font-size: 14px;
        color: var(--white);
        display: flex;
        align-items: center;
        justify-content: center;
        font-family: 'sat600';
    }

    .mobileEmailVerified {
        display: flex;
        align-items: center;
        gap: 10px;
    }

    .cart-card-outer {
        padding: 20px;
    }

    .cart-card-header {
        margin-bottom: 0;
    }

    .alreadyAccountTxt {
        font-size: 14px;
        margin-bottom: 0;
    }

    .productDetails .date-picker-input {
        height: 2.875rem;
    }

    .productDetails .custom-select-wrapper .formInput {
        height: 2.875rem;
    }

    .productDetails .tab-btn {
        padding-block: 5px;
    }

    .creaditCardHead {
        flex-wrap: wrap;
        gap: 9px;
    }

    .creaditCardOuter .cart-card {
        padding: 16px;
    }

    .faq-section {
        padding: 0px;
    }

    .faq-title {
        font-size: 2rem;
    }

    .faq-question-title {
        font-size: 1rem;
    }

    .faq-toggle-icon,
    .faq-question-header.active .faq-toggle-icon {
        background-color: transparent;
        border: none;
        box-shadow: none;
    }

    .faq-question-header.active .faq-toggle-icon {
        color: var(--black);
    }

    .eventTabs .nav-link {
        font-size: 1rem;
    }

    .variety {
        height: -moz-fit-content !important;
        height: fit-content !important;
        padding-block: 40px !important;
    }

    .mobile-nav {
        top: 91px;
    }
}

@media (max-width: 480px) {
    .bannerSlider {
        padding-left: 0;
    }

    .heading52 {
        font-size: 1.50rem;
    }

    .bannerSliderInner .subHeading {
        font-size: 14px;
    }

    .bannerSliderInner .redButton {
        padding: 9px 16px;
        font-size: 14px;
    }

    .bannerImg {
        max-height: 250px;
        max-width: 250px;
    }

    .topBrand {
        height: 70px;
        margin: 3rem 0;
        margin-top: 0 !important;
    }

    .slide-box img {
        width: 40px;
        height: 40px;
    }

    .discoverProduct .heading44 {
        font-size: 1.3rem;
    }

    .navbar-brand img {
        width: 149px;
    }

    .service .redButton,
    .service .outlineBtn {
        padding: 9px 16px;
        font-size: 14px;
    }

    .footer {
        padding: 2.625rem 0.75rem;
    }

    .footer ul li a,
    .footer ul li {
        font-size: 14px;
    }

    .wineName {
        font-size: 1rem;
    }

    .variety {
        margin-block: 2.875rem;
    }

    .newlyLaunch .outlineBtn,
    .newlyLaunch .redButton,
    .variety .redButton,
    .mood .redButton,
    .mood .outlineBtn {
        padding: 9px 20px;
    }

    .newlyCardImage img {
        min-height: 22rem;
        max-height: 22rem;
        border: none;
        /* border-radius: 12px; */
    }

    .variety .subHeading {
        font-size: 1rem;
        color: var(--white);
    }

    .mood-box img {
        max-width: 4.875rem;
        max-height: 4.875rem;
    }

    .moodSlider {
        margin-bottom: 3rem;
    }

    .moodWine {
        font-size: 14px;
        margin-bottom: 0;
    }

    .footerHeading {
        font-size: 1rem;
    }

    .navbar-brand img {
        height: 4.5125rem;
    }

    .service {
        margin: 35px 0 35px 0;
    }

    .newlyLaunch {
        margin-block: 2.875rem;
    }

    .productHeadRight {
        max-width: 100%;
        gap: 15px;
        flex-wrap: wrap;
    }

    .productHeadRight .search-bar {
        max-width: 100%;
    }

    .trendingSearchesHeading {
        padding: 10px 24px;
    }

    .trendingSearchesHeading .trandingProducts {
        margin-bottom: 0;
    }

    .trendingSearches {
        overflow: auto;
        /* height: calc(100vh - 100px); */
        padding: 10px 24px;
    }

    .searchBoxInner {
        padding: 10px 24px;
    }

    .searchBarContainer {
        top: 6rem;
    }

    .productBody .newlyCard img {
        max-height: 200px;
        max-width: 100%;
        min-height: 200px;
    }

    .productBody .newlyCard {
        /* border: 0.5px solid var(--border2);
        border-radius: 8px; */
        height: 100%;
        padding: 3px;
    }

    .productBody .newlyCard .wineName {
        font-size: 11px;
        margin-bottom: 0 !important;
        display: -webkit-box;
        -webkit-line-clamp: 1;
        line-clamp: 1;
        -webkit-box-orient: vertical;
        overflow: hidden;
        text-overflow: ellipsis;
        max-width: 100%;
    }

    .productBody .newlyCard .newlyCardDetails {
        margin-bottom: 0 !important;
        font-size: 12px;
    }

    .productOuter {
        border-top: 0;
    }

    .discoverImage img {
        max-height: 276px;
    }

    .newlyLaunch .outlineBtn {
        padding-block: 9px;
    }

    .cartBody {
        flex-wrap: wrap;
        justify-content: center;
    }

    .cart-row>div:nth-child(3) {
        width: 87px;
    }

    .cart-card-body .cart-controls .qty-pill {
        padding: 7px 5px;
        font-size: 14px;
    }

    .cart-row>div:nth-child(2) {
        font-size: 15px;
    }

    .orderCard .redButton {
        padding-block: 9px;
    }

    .blogSocialLink {
        width: 3.125rem;
        height: 3.125rem;
    }

    .blogDetails .fs48 {
        font-size: 1.75rem;
    }

    .blogCard .outlineBtn,
    .ourBlogBanner .outlineBtn {
        max-width: 130px;
        padding-block: 9.5px;
        text-transform: uppercase;
        font-size: 14px;
        text-transform: capitalize;
    }

    .ourBlogBanner {
        padding: 1rem;
    }

    .ourBlogBanner .fs48 {
        font-size: 1.8rem;
    }

    .checkoutOtpBtns button {
        width: 100%;
        max-width: 100%;
    }

    .cart-card-outer .otpInput {
        width: 38px !important;
        height: 38px;
        font-size: 18px;
    }

    .new {
        display: none;
    }

    .newlyLaunch .swiper-slide {
        padding: 5px;
    }

    .contactUs .faq-title {
        font-size: 2rem;
    }

    .contactUs .fs32 {
        font-size: 1.5rem;
    }

    .loginSection {
        height: 100%;
        min-height: calc(100vh - 260px) !important;
    }

    .cart-card-count-mobile {
        width: 30px;
        height: 30px;
    }

    .eventTabs .nav-link {
        font-size: .875rem;
    }

    .eventCard .outlineBtn,
    .eventCard .redButton {
        font-size: 14px;
    }

    .eventCardDesc {
        overflow: auto;
    }

    .eventDateSmall span:last-child {
        font-size: 1.5rem;
    }

    .cardInner {
        width: 90%;
        min-height: 65vh;
    }

    .logoutTxt {
        display: none;
    }

    .cardWrapper {
        height: 85dvh;
    }

    .mood-box .moodWine {
        margin-bottom: 1rem;
    }

    .bannerData .fs18Legacy {
        text-align: justify;
    }

    .aboutUsOuter p {
        text-align: justify;
    }

    .aboutUsOuter img {
        height: 100%;
    }

    .checkoutPop {
        top: 80px;
    }

    .eyeIcon {
        top: 37px;
    }

    .customBreadcrum {
        margin-top: 87px !important;
    }

    .homeNewlyCard .redBtnLegacy {
        padding: 11.5px 15px;
    }

    .newlyFixImg {
        min-height: 400px;
    }

}

@media (max-width: 320px) {}